## Unpublish a changelog **post** `/v2/changelogs/{id}/unpublish` Unpublishes a changelog, removing it from public view. ### Optional Fields - `locales` - Array of locales to unpublish from. An empty array unpublishes from all locales ### Behavior - The changelog content is preserved (reverts to draft state) - Any scheduled publishes for the specified locales are cancelled - The changelog can be re-published later ### Response Returns a success confirmation: ```json { "success": true, "state": "unpublished" } ``` ### Errors - `400` - Invalid changelog ID format - `404` - Changelog not found or doesn't belong to your organization ### Path Parameters - `id: string` Changelog unique identifier ### Header Parameters - `"Featurebase-Version": optional "2026-01-01.nova" or "2025-12-12.clover"` - `"2026-01-01.nova"` - `"2025-12-12.clover"` ### Body Parameters - `locales: optional array of "bn" or "bs" or "pt-BR" or 39 more` An array of locales to unpublish the changelog from. An empty array unpublishes from all locales. - `"bn"` - `"bs"` - `"pt-BR"` - `"bg"` - `"ca"` - `"hr"` - `"cs"` - `"da"` - `"nl"` - `"en"` - `"et"` - `"fi"` - `"fr"` - `"de"` - `"el"` - `"hi"` - `"hu"` - `"id"` - `"it"` - `"ja"` - `"ko"` - `"lv"` - `"lt"` - `"ms"` - `"mn"` - `"nb"` - `"pl"` - `"pt"` - `"ro"` - `"ru"` - `"sr"` - `"zh-CN"` - `"sk"` - `"sl"` - `"es"` - `"sw"` - `"sv"` - `"th"` - `"zh-TW"` - `"tr"` - `"uk"` - `"vi"` ### Returns - `PublishUnpublishSuccess object { success, state }` - `success: true` Indicates the operation was successful - `true` - `state: optional "published" or "scheduled" or "unpublished"` The state of the changelog after the operation - `"published"` - `"scheduled"` - `"unpublished"` ### Example ```http curl https://do.featurebase.app/v2/changelogs/$ID/unpublish \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $FEATUREBASE_API_KEY" \ -d '{ "locales": [ "en" ] }' ``` #### Response ```json { "success": true, "state": "published" } ```